### Hierarchy

- TimePicker

### Implements

- ControlValueAccessor

## Index

### Inputs

- disabled
- id
- invalid
- invalidText
- label
- pattern
- placeholder
- skeleton
- theme
- value

### Outputs

- valueChange

### Properties

- disabled
- id
- invalid
- invalidText
- label
- pattern
- placeholder
- skeleton
- theme
- value
- valueChange
- timePickerCount

### Methods

- focusOut
- isTemplate
- onChange
- onChangeHandler
- onTouchedHandler
- registerOnChange
- registerOnTouched
- setDisabledState
- writeValue

## Properties

### disabled

@Input()
disabled: boolean = false

- Defined in src/timepicker/timepicker.component.ts:71

### id

@Input()
id: string = `timepicker-${TimePicker.timePickerCount++}`

- Defined in src/timepicker/timepicker.component.ts:70

### invalid

@Input()
invalid: boolean = false

- Defined in src/timepicker/timepicker.component.ts:65

### invalidText

@Input()
invalidText: string | TemplateRef<any>

- Defined in src/timepicker/timepicker.component.ts:66

### label

@Input()
label: string | TemplateRef<any>

- Defined in src/timepicker/timepicker.component.ts:67

### pattern

@Input()
pattern: string = "(1[012]|[0-9]):[0-5][0-9]"

- Defined in src/timepicker/timepicker.component.ts:69

### placeholder

@Input()
placeholder: string = "hh:mm"

- Defined in src/timepicker/timepicker.component.ts:68

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/timepicker/timepicker.component.ts:77

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/timepicker/timepicker.component.ts:82

### value

@Input()
value: string

- Defined in src/timepicker/timepicker.component.ts:72

### valueChange

@Output()
valueChange: EventEmitter<string> = new EventEmitter()

- Defined in src/timepicker/timepicker.component.ts:84

### Static timePickerCount

timePickerCount: number = 0

- Defined in src/timepicker/timepicker.component.ts:63

## Methods

### focusOut

@HostListener({"eventName":"focusout"})

- focusOut(): void

- - Defined in src/timepicker/timepicker.component.ts:108

  #### Returns void

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/timepicker/timepicker.component.ts:112

  #### Parameters

  - ##### value: any

  #### Returns boolean

### onChange

- onChange(event: any): void

- - Defined in src/timepicker/timepicker.component.ts:102

  #### Parameters

  - ##### event: any

  #### Returns void

### Protected onChangeHandler

- onChangeHandler(_: any): void

- - Defined in src/timepicker/timepicker.component.ts:116

  #### Parameters

  - ##### _: any

  #### Returns void

### Protected onTouchedHandler

- onTouchedHandler(): void

- - Defined in src/timepicker/timepicker.component.ts:117

  #### Returns void

### registerOnChange

- registerOnChange(callback: any): void

- - Defined in src/timepicker/timepicker.component.ts:90

  #### Parameters

  - ##### callback: any

  #### Returns void

### registerOnTouched

- registerOnTouched(callback: any): void

- - Defined in src/timepicker/timepicker.component.ts:94

  #### Parameters

  - ##### callback: any

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- - Defined in src/timepicker/timepicker.component.ts:98

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### writeValue

- writeValue(value: string): void

- - Defined in src/timepicker/timepicker.component.ts:86

  #### Parameters

  - ##### value: string

  #### Returns void

Generated using TypeDoc